'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _TYPES = require('./actions/TYPES');

var reducer = function reducer() {
  var state = arguments.length <= 0 || arguments[0] === undefined ? { active: false, command: 'none', stream: null, blobs: [] } : arguments[0];
  var action = arguments[1];

  switch (action.type) {
    case _TYPES.RECORDER_START:
      return Object.assign({}, state, { active: true, command: 'start' });
    case _TYPES.RECORDER_STOP:
      return Object.assign({}, state, { active: false, command: 'stop' });
    case _TYPES.RECORDER_PAUSE:
      return Object.assign({}, state, { active: false, command: 'pause' });
    case _TYPES.RECORDER_RESUME:
      return Object.assign({}, state, { active: true, command: 'resume' });
    case _TYPES.RECORDER_ON_STOP:
      return Object.assign({}, state, { blobs: state.blobs.concat(action.blob) });
    case _TYPES.RECORDER_GOT_STREAM:
      return Object.assign({}, state, { stream: action.stream });
    case _TYPES.RECORDER_UNMOUNT:
      return { active: false, command: 'none', stream: null, blobs: [] };
    default:
      return state;
  }
};

exports.default = reducer;